
#ifndef DATAVIEWINFO_20100101_H_
#define DATAVIEWINFO_20100101_H_

#include <QObject>
#include "MemRegion.h"
#include <QSharedPointer>
class ByteStreamRegion;
class QHexView;

class DataViewInfo {
public:
	DataViewInfo(const MemRegion &r = MemRegion());
	~DataViewInfo();

private:
	Q_DISABLE_COPY(DataViewInfo)

public:
	MemRegion							region;
	QSharedPointer<ByteStreamRegion>	stream;
	QSharedPointer<QHexView>			view;

public:
	void update();
};

#endif

